Calculate Linux - Bug # 847: DEN,D D»D N,N« Calculate D¥%D°D*D»N«DYs DY4D+NED°D-D¥:DYs NfD D°D»NeNZi

Status: Closed Priority: High

Author: DiPuNEDDUD! Pebub D¥:N, D¥4D2 Category: Calculate Utilities

Created: 12/16/2015 Assignee: Mikhail Hiretsky

Updated: 12/18/2015 Due date:

Subject: DPEN,D, D»D,N,N¢ Calculate DY:D°D3D»N DY DY:DENEDD-D¥DYs NfD D°D»NeNZN, DY4D¥4D? systemd
Description: DeD° D DYsNeN... NeBUND, D> D¢ b¥b ¢ NEPY:D+D¥D2D°N,NE

"pantheon-shell":https://github.com/pimvullers/elementary B%D° D+D°D-Bu  P°D°D»NEDD,, D P»Ne
NiDupp¥:  PY%b¥%bu  D¢P¥%N,NEPUD+DY%D2D°D»DY%NNE  NfNeND°D%:D¥%D2D NNE B2
NeD NeRDUDYNF  *systemd*. DY  DeDYND»DUD DD DT DNED,  NfNeNDDDYD2DDU
DY:DUD -D°PYsDUN DY:DYs N.DUNEND» P2D°PIPY2NDpu N,D°DD»N«. PebY:D¥:D3D¥4
D2NEPUDYDUDY:D, D¢ D¥N,NED°N,D D» NiN,P¥:D+N« D2NNN-D¥%:D N,NE, NN,p¥s N,NfDY%DoNTD Ne
P2 @/etc/calculate/profile.bashrc.d/50-setup-package @ D+Pbub -b¥NDY2D¥:D2D°N, Dub»NEDY-DYs
NfDD°D»NebuN, NP°DD»N¢  D¢P°PPuN,D°. DPeb¥bu  PP°PIPuN,NeNe  DYNfDIDY:DYs
N,N%D°N,Dub»NEP%:DbuPu  BD'NfPOVD°NNE, DeRepupobu  Nibub¥: D'P¥%D2D¥D D NNE
NfN,D,.D»D NN« DD N,p°p°D N... DoNED DDY:D¥4NN, Db, p"p°, N,D°DY,
b Nebub N fN-bv:D%N,NEPUDYLD° D¢ NeP¥:D2DUNEDD®, NiN,D¥4 DuNp»D, *openrc*
NfNeN,D°Dv:D%D2D»DubY¥s, ND¥% Neb¥%:b¥%NeD NNE KN,D°DB»N¢ *systemd*, DeD7? D—D+D§P+De?
PENTD N,Nd2D°Ne NND¥: *openrc* NiD°NeN,NE N-BuN,D° *@system* B, D%N, DY:Dub3d¥: N.D°D°
D¢ NeP¥N-NPY: B¥%:Pu B, D-D+D°D2D N,NERNsNe, ND°P°D°Ne D¢NED¥D2DUNEDD° N,DUNENDpK,
D2NeN+D°D D NeD¥2NKNeD».

NeN,D°N,D,, 2D B'D b¥b¥% NeND° N,NfDY:D°NTD Ne D¢ D¥:NeD2D D»D°NNE DY2DuD D°D2D%:D%s,
N,.Bo. B¢P°NENf BYDUNeNNTDuD? B¥%D°D-D°D” B2 BY.D¥Dub! D°D°D»NEDDU NfNeD¢ DUN"DY:DYs
NED°D+D¥%ND°D» *systemd*, D¢P¥%P°D° Ne D¥Du NEDUND,D» B2DUNEDYNFN,NEN-N. P
NeN,D°D¥:D D°NEN, DY-NDY4 *USE* N,D»D°D3D°DYs, D D»Ne NfNepD¥%NEDUDYD, Ne
NfReN,D°DY:D¥D2DD, DY:D+DY:DYD2D»Duby2D Pt b D- D+D DYD°NEDY:NK... B¢ D°DoDuN P¥:b2.

PYP¥%:D b¥:D+bY:NDu NfD-B°D, By PY.DuNsN,p° P2 NfN.D,D»D NDP°N...
NeN fN%:DuNeN,D2Dub¥:DY2D¥%: D2D»D NeNZKN, B¥:D° B3 D+D°D¥N«N,NE DD, N-N,NeD, D+NfN.D B2D°,
D¢ D¥NeND¥DYNf D¢ NEDYNNF B Neb¢ NED°D2D, N,NCE.

History

12/16/2015 03:21 pm - Alexander Tratsevskiy

DEDNFNND.D»D, DD DY:D¥%D2D¥NNDubt NeD°DIND° NeNNf Dv:D¥%D2D¥%NNNE. B Neb%NTtNPuNNeN... DIDp D2DPD-D DU
D+ND»D¥s DY:D°D D, NeD°DY2DYs D¥%:N, D" DuD»NEDYDYD* N, Dubv:D¥:D1. Deb°D¢ NED,DY:DUNE
https://ivk.com/calculatelinux#/calculatelinux?w=wall-10221243_8401 B¢NfN, DIDu D¥%D: D NeD°DY:N¢ B, B NED NiD B¥N¢«. DEND»DY:D2D Pl
D¢ DD NED°D2D DY,

12/16/2015 03:43 pm - DiPUNEDDUD? DePub YN, DY4D?

Dby PNeby D2 Neb%NT NeBuN,NeN... D¢ NEDYDDYD NN, DYVD°NeNeNf D2NEPUDYDUDYD, ) DPeb¥%bu DP%NED°D-D DY
N D¥:D+bY:bubu NiD,N,p°N,NE RSS B»DubvsN,Nf.

DEND»D¥:D2D Dy D»NfNNBu NeD Bub»D°N,NE B¥:D° D¥%N-DY:D¥:D2Du USE N,D»D°D3D°. D¢DYD»NEDDY: B2D¥N, BoD°D° B+N<N,NE Ne
NPubv:D, D¢D°D°PuNp°BYiD,, PP¥%NDPYUNENDU B¥%Du PY%BUNNfN, D2 Nebub+bu USE N,D»DP°B® systemd, D¥:P¥% B PYDuNZN,
D°P°PoP¥D! P»D D+b¥% NZP%D N, D'D»Ne BD¥%DUDDY: D2 NeD2D¥DubYs NeD¥%NeN,D°D2Du. B"D¥%D¢ NfNeN,D,DYs, NiN,DY: D¢D°PPuN,
NfNeR,DDY%D¥D2D»DubYs B D% NeBYibub¥%N¢« Neb NeN,Dub¥N¢« B DD NtD D°D»D D-D°NtD,D,, D, D2N+bu "D»Dub2Nbp" N,D°DD»N¢ D2
PYbubYs NfDTPU D¢ P¥%NEDUD -D°DYN¢, D2NN...D¥%D DN, DYDY D¥%bu D¢ DUNEDUNfN-N,D°DY:D¥:D2D N NeNe D.NED, @emerge -uDN
world@ D¢ D¥ND»Pu BD¥D+NSND2D»Pub¥:D Ne USE="systemd" D™ D¢ NED°D2D D»NEDY:DYs NED°NeN-NfDID D°NZ?

12/16/2015 05:26 pm - Alexander Tratsevskiy

- Status changed from New to Feedback
> DEND»D¥:D2D Dy D»NfNIN By NeD Dub»D°N,NE DY:D° B¥:NDY%:D¥:D2Du USE N,D»D°D3D°. DtD¥D»NED DY D2D¥N, Dop°P° DN« ,NE
Ne NDupviD, D¢D°DBuN,D°DY:D,, D°D%NDYNEN®N BY:Du DYDuNeNfN, D2 Nebub+bu USE N,D»D°D? systemd, B¥%D¥% D DYV:DUNZN,
P°D°DoP¥D! D»D Dxb¥% NZB%D N, D'D»Ne D%DUDDY: D2 NeD2D¥DubYs NeD¥NeN,D°D2Du. B"D¥%D¢ NfNeN,D,DYs, NiN.DY: D¢D°DoPuN,
NfNeN,DDY%D¥D2D»DubYs B DY NebYibub¥%N¢« Neb NeN Dub¥N« D, DD, NtD D°D»D D-D°NTD,D,, D, D2Nebp "D»Pub2Nbp" N,D°DD»N¢ B2

PYbubYs NfDIPU B¢ b¥%NEDUD-D°DY:N¢, D2NKN...D¥%D D N, DYDY B¥%:bu D¢ DUNEDUNfN.N DDY:D¥:D2D N,NeNe D¢NED, @emerge -uDN
world@ B¢ D¥:NeD»Pu D¥:D+NSN«D2D»DubY2b, Ne USE="systemd" B~ D¢ NED°D2D D»NEDY:D¥: NED°NeN-NfDTD D°NZ?

D'NeN* D2DUNEDY:DY:. DEPBubYs B¥%bu DBYDub¥%bubu, D2 Db DB¥%P°NEDYNK... BeP°PPuNpP°N... NeND, D¥%D°NeN NEPYDDD,

D¥NeN,D°NZN,NeKe D¥DUN,NEPYDYNfN,NDYD, .

12/16/2015 06:13 pm - DiPUNEDDUD? Debub DN, DYsD?

1. D-D°D2PuNEDY:D¥DU DN« D PYbubuNbu D2 2D D'Nf, NiNDP¥% *N,D°PD»Ne+ "B¥%N, *systemd* D2 D+D YD °NEDYNN. ..
D¢D°D°PuN,PN... D¥NeN,D°NZN,NeNe DD N,NEDYDYNfN,NDYLD, ?

2. 1SO B¥D+NED°D- B NED, B, D¥D DD¥%N,D¥:D2D°Du NeN.D, N,D°D1D»N¢ N,D¥%DIDu D¥%:Du B-D°N,NED°DD D2D°DuN,?

3. De DD DY¥D°NEDYND? D¢ D°DoPUN, D¢ NED, NfNeN,D°DY2D¥:D2D°Pu D¢ DY D°D D°PuUN, D¢ D% NeN,D%N, N...NfDo?

D'NebDp-N,D°DD, Ne NeD°D»D¥:DYsNNZNNE NtN,D¥: N D°D°D¥:bu NEPUNBub%:D, Dy BD¥N1DubYNE D¥:D¢ D°Neb¥:b¥, N...DYNEDYN DY,
PYDYDU  DePYDDUD-D»D¥,  NiND¥% Ne  DP¥%bu  D-D°DDPYLUD»DBDY  DDY%  NeNDP%UDMDY:  DYUDED%DY:D2D»Dubysb,Ne
PY:D D3NED, NEDY:D2D°D» BY:D° openrc DY¥:D° NeD2D¥:Dub! NED°D+DYNDUD! BY:D°ND DYDY, B DY%:D°NtDu BY4D¥:D3 B¢ D¥NDUNENN,NE
NEP°DxD¥ND Bt D'DUbYNE DY:D° D2D¥NeNeN,D°DYDYD2D»DUDY:D DU NeD, NeN,Dub¥aN¢ D¢ DYND»DU DY:D1DY:DYD2D»DUDY:D, Ne
(openrc B2 Neb NeN,Dubvsbu B¢ NED NeNfN,NeN,D2D¥:D2D°D»). Do NiN,D% DuN«D»D, N,p°D°D N... DY:D°ND D% NtDub»Nd! D¢ D°NED?
DebuD»NED-Ne DIDp D2D%N, N,D°P°, DYiD¥Y:DIDY2DY Neb°D°D-D°N,NE D-D°D D¥:D, DYs NiD,Neb»D¥:DYs (VK B¥2Du NeND, N D°DuN,NeKs),
p202p¥D D,NNE ND°P°D by D°NED,N,D,NtDUNDD Bu D .D-DYiDUDY:DUD%D Ne D¢D¥%  NfBPVDYD»NIDDY:D NZ. DeNeD»D, D,
D2p2p%D' D, NNE, ND¥% D¢P¥%b»D°D3D°NsN-NE D%D° D2ND+DY%NE D¢ DYD»NED-D¥:D2D°N,Dub»Ne. DeD°D¢ NED DYDUNE, DUND»D,
b¥:bY B-D°N...D¥%N+DuN, NeN,D¥:D3D%, N,D¥% BY.D¥D? DN« NfD°D°D-b°N,NE FEATURES="clean_systemd" D2 make.conf.

DebuNNDYsN« DY:DY%DU BYD¥N,D DN« B'D NeN,NED, DNfN,D D2D°, D2D2D¥D" DY:D2DUNED»DUPUD?2 D' D°DuN, D¥DINEDYDYDY:NDU
D2D¥D-DYDYDTDY:DYNND, D¢D¥%: DD°NeN,D¥DY:D D-D°NtD.D,, B, B2DYDuNeN,Du Ne NDub% DeD°D»DD, D2 DD¥D»DuN+D° D D»Ne
systemd 2NN D°D2D»NDuN,D... :(

Dip%DD»D°N'NfNNE Ne "Peb N..D°D D»D¥%bY:  D“D°D3D°NfD-DYDYL"hitps://vk.com/wall-10221243_84017reply=8472,  NiN D%
DY:D°D»D N1D By D%BUPD N... "D¢D¥%NeNPYNEDYDDY:D N..." N,D°DD»D¥%b2 D2 Neb NeN.Dupv:by D2D¥%D¥:D+N%Du  DY:Du
DoNED, N, D, NtD¥%D¥, B, NiN,D¥: D2 DY%DUD -DY%D°DDY:DY:D¥Dt Neb,NeN,Dubvsbu B D»Ne D¢ NEDYD2DUNEDD, DY:D°D»D,N1D,Ne systemd
D¢ PuNED2D¥:PU NiN,D% D NED N...DYD D N, D2 D3D¥D»D¥%D2Nf NeN,D¥: @systemctl@, D%D¥ D»D, NiD¥%:D¥: Ne B, NeD ¢ B¥:D»NED -NfNZ
@pidof systemd@. BDBuNENfN-NE NfNDDpNePTDD°NNE, NiND¥% DP°N'D° DDDb%uND° D%  DDYUDYDUNIDYDYDYs
D¢ D¥D»NED-D¥:D2D°N, DUb»D B2 DD¥:DYDUNEDY:DY:DYs D N,D¥:D3Du NeND3NED D»D° B-D»NfNZ N'NfN,DeNf BY:D°D” BY:D DY: DI
psp°p° D NP¥D? D2NDuN... BYD¥%D N... D-D»DYUDD»NZNIDUD%D DY, D D¥%ND»Du  DY¥DUN-DDYD»NEDD,N... NiD°NeD¥iD?
DoD¥DYiD D, D»NeNTD D, B2 KVM, Ne B BY4DUNZ D¥%Bu B DY DoD¥DY:NTD° NED D+D¥N,D°NZN%NfNZ Neb NeN,DubvaNf Ne *systemd*. B~
pop°p°  NDub: DuNENE bPuN* B b%NiD b%D NNE D¥%by DYv%:D°NiD Db%D°Ne D2Nebu  Ne  RNeD°DVD¥%DDY: DYD°NiD°D»D°
DY:D DD °D°D¥DDYs D¢ NEDPD NeN DD2D»Dub¥:b Ne. DZN, *openrc* Ne D .D-D+D°D2D D»NeNe NiDuNEDUD- @/etc/portage/packages@, D,
D¢ PUNEPUN NN, D°DY:D¥:D2D D» DY:Dub°D¥%N DYNENDU D¢ D¥NN,NED°D D°D2N"D Py NbuNeD2D NN« D2NENFNDY%NFNZ, N,D°DD By
D°P°PP sshd D, dbus. D+D¥: DY:DuUD D -D2DuNN,DY:D¥: NEN,D¥: PuN%.Du D¢ D¥aNN,NED°D D°D»D%4. D+D°D2DUNEDY:D YD D¢ NED, D DN, NeNe
D¢D,ND°NNE "B¥DYD»D°DID%PUNE"  D'B»Ne D PUNEDUNfNN,D°DY:D¥:D2D°D,  D2N«bpuN... NfNsN,D°DY:D¥%D2D»PubYDY:NN...
D¢D°P°PuN %2 B2 Neb NeN,DubViby, B° NeN,D3: DuN%bp B¢ NEDVNED2D° D2NEDUDYDUDYD. ...

12/16/2015 06:43 pm - Alexander Tratsevskiy

DibuNEDPPD! Dobub D¥:N,D¥:D? wrote:
> 1. DD°DDuNEPYDY:DY DN« B DYDubuNbu D2 D20 D'Nf, NiND¥% *N,D°DD»Nt "P%N, *systemd*™ D2 D+D DY:D°NEDYNN. ..

D¢D°D°PuN,PN... D¥NeN,D°NZN,NeNe DD N,NEDYDYNfN,NDYLD, ?
D PYDUDYDY:DYs, NEDUNINE DIDU DY DY%D N..., DDDC Ne D¢ DY4DY-N D>

> 2. 1SO D¥%:D+NED°D- D¢ NED, B¢ D¥:D D3D¥N,D¥:D2D°Pu NeN,D, N,D°D1D»N¢ N,D¥%DTDU B¥:bu B-D°N,NED°D3D, D2D°DuN,?
DYDPDuN,N¢ B2 B¢ D¥D DD¥%N D°D2D»D, D2D°PubYiNKN... D¥%D+RNEDD-DN... NeN,D°D2N+N,NeNe N,D°D°D DYs DIDU D¥D+NEDD- DYDY,
D°D°P° B, B2 BID,D2D¥%D* Neb, NN, Dub¥sbu. DiD¥%:D¥%N,D2DuN,NeN,D2DUbDY:DY:2D¥s D2 DeD¥:DY2DUNTDY:DYDYs 1ISO B N... B%DuN,.

> 3. Ds DD DY °NEDY:ND! By D°D°PUN, D¢ NED, NfN+N,D°DY:D¥:D2D°DU D¢ D¥D ¢ DD D°PuN, D¢ b¥D" NeN,D%N, N...NfDo?
D"Pe. B’ NeD°P¥:D¥DY, DIDU D°NEN...D D2Du D¥%NND°NN,NeNe D¥%NED, DD, DY:D°D»NEDY:DYDU NeD¥:D DUNEDTD °DYD Dy

> PNebu-K,p°PoD, Ne NeDD»D¥DYNNZNNE NiND¥% NDP°DP¥%bu RNePuNBub%D by DY%NIPUPYNE  B¥D¢D°NeDY:D¥s,
N...D%NEPYNDY: DYDY%:DU D¢ D¥D2DuD-D»D¥, NiND¥: Ne B%Du D-D°D DY%UD»DDY D'D¥ NeND¥%DDY: DYD+DYDY:D2D»Pubyb Ne
Dv:D D3NED, NEDY:D2D°D» DY:D° openrc BY:D° NeD2D¥Dubt NED°D+D¥N1Dbub! BYD°ND, DYDY, B DY%D°NiDu DY:D¥D3 B D¥:N,DUNENN,NE
NED°D+D¥N1D Dt D'DUP%NE DY:D° D2D¥%NeN+N,D°DY:DY:D2D»DubYsD D Neb NeN,DubviNc D¢ D¥%NeD»Du D¥D+DY:DYD2D»Pub¥D Ne
(openrc B2 N«bD NeN,Dub¥sbu D¢ NED NeNfN,NeN,D2D%D2D°D»). De NiN,D¥: DuND»D, ND°DD N... DY%D°ND DY NtDub»ND! B¢ D°NEDO?
DebuD»NED-Ne DIDU D2D%N, N,D°B°, BYiD¥:DTDY2DYs NeDoD°D-D°N,NE D-D°D D%, DYs NiD,NeD»D¥:DYs (VK D¥:Du NeN+D, N,D°DuN,NeKs),
p202p%:D' D, N,NE N,p°D°D by  P°NED ND NiDuND°D By D, D-DYDUDY:DUbY:D Ne DeD¥%  NfDYD¥bD»NiD°DYD NZ. DeNeb»D, D,
02020%:D D, N,NE, ND¥: D¢D¥b»D°D3D°NNNE D¥D° D2ND+DYUNE D¢ DYD»NED-DYD2D°N,Dub»Ne. DeD°D¢ NED DYDUNE, DUNeD»D,
p¥%:bY%: B-D°N...D%NEDUN, NoN,D3:D3D%, N,D¥% DY:D¥:D3 DN« NfDoD°D-D°N,NE FEATURES="clean_systemd" D2 make.conf.

DYD¥%DYD DYDY vk, DY:D¥DDYNNNE DNd»D° DD NfD+D»D DD¥%D2D DD B2 DNENfD:D¢P°N... facebook D, google+.
Db, NeN,poD° B¢ NEPYD D-D2D¥D D NNeNe  NDYUD»NEDDY: D2 DYUDEDY%DYDD»NDUDYINK... D D°PPuNP°N....  Bj
NfNeD»D¥%D2D DubYs  D¢NEDYD2DUNED®D,  NeD¥%D3D»D°Nebub¥, D¢ NED°D2D D»NEDY:DUDT D¢ NEDYD2DUNENN.NE  B%DP°
DYD°D»D N1D B NfNeN,D°D%D¥:D2D»DubY:D YD ¥4D3D¥4 systemd.

> DeDuNeN+D¥sN« BY:DY:Du PYD¥N,D DN« B'D NeN,NED, DNfN.D D2D°, D2D2D¥D” D¥D2DUNED»DUPUD? D D°DuN, D¥%D3NEDYDY.DY:NBU
D2D¥D-DYDYDTDY:DYNND, D¢D¥% D°D°NeN,D¥DY:D D-D°NtD.D,, D, B2DY:DuNN,Du Ne N,Dub% D¢ D°D»D°D, D2 DD¥D»DuN+D° D D»Ne
systemd D2N«N,D°D2D»NDuN,Dy... :(

D-Np¥% D¥bu D¢b°D»PP°, B° D¥%D:ND BY:D B-D°NtD,Ne. DYNED NiD DY%N¢ B¥bD¢D,NeD°D¥%Nc. DYDYD»NED-DY:D2D°NDub»D,
D, DYDub»D, D2D¥4D-DYD¥DTDY2D NN, NE D2N<Npop°D-D°N,NEN-Ne BY:D° NeN,D¥N, NeN+N'N,.

> Dip¥%DD»D°N'NfNeNE RNe "Peb,N..D°D,D»D¥%DY: D'D°D3D°NfD-D¥DY,"https://vk.com/wall-10221243_84017reply=8472, NiN,D¥%
DY:D°D»D N1D by B¥%BUbD N... "D¢D¥%NeNDPYNEDYDYDY:D N..." N,D°DD»D¥%b2 D2 Neb NeN.Dubv:by D2D¥%D¥:D+N%Du  DY2Du
DoNED,N,D,NtD%D¥, B, NiN,D¥: D2 DYDUD DD DDY:DY:D¥Dt Neb,NeN,Dubvibu B D»Ne D¢ NEDYD2DUNEDD, DY:D°D»D,N1D,Ne systemd
D¢ PuNED2D¥YBU NiN,DY DNED N...D¥%:D D N, D2 DD¥D»D¥D2Nf NeN,D¥% @systemctl@, DYDY D»D,N1DY:b¥% Ne B, N D¥:D»NED-NfNZ
@pidof systemd@. DPDUNENfN-NE NfNDDUNEDTD D NNE, NiND¥% D'D°N'D° DB-D°P+b%UND° D%  DoP¥DYDUNIDYDYDYs
D¢ DYD»NED-D¥:D2D°N,Dub»D B2 DD¥:DYDUNDY:DY:DYs D N,D¥:D3Du NeND3NED D»D° B-D»NfNZ N'NfN,DeNf BY:D°D” BY:D DYs DI

b D°D-NfpvDubuN,NeNe, BYDY:DUDY:D, by Db N...D°D b»D° N,p°D° Dby NfNINPupYD¥. B~ Ne DYD DY DYbD+N%DD»NeNe D¢ DYs
N.DuD»PuN,D¥:DVaNf D¢ DY NeN DYDYNT D DYD2D¥D Nf .

> p3p°p° D.NP¥D: D2NBbuN... P%UD¥D N... D-D»D¥%bD°D»NZNIDub¥%D B!, D¢D%NeD»Du D%DuN-DD¥D»NEDD N... NiD°Neb¥.D2
DPYDY.D D D»NeNTD, D, D2 KVM, Ne D BYDUNZ B%Du D D% BoD¥:DYNTD° RED D+D¥N D°NZN%NfNZ Neb NeN.Dubv:Nf Ne *systemd*. B~
pop°p°  NPub:.DuNENE BuN* B¢ b%NiD P%D NNE D%y DY:D°NiD P%P°Ne D2NeDu  Ne NeD°PYiD¥%D3D¥: DYD°NiD°D»D°
PYD D°D°D°D¥Y:D3DYs D¢ NEPUD NeN,D°D2D»Dub¥:D Ne. DZN, *openrct Ne D,D-D+D°D2D D»NeNe NiDuNEDUD- @/etc/portage/packages@, D,
D¢ DUNEPUNfNeN,D°DY:D¥:D2D D» DY:DUD°D¥:N DYNENDU B D¥NN,NED°D D°D2N"D Py NbuNeD2D NN« D2NENFNDY%NFNZ, N,D°DD By
D°P°PO sshd B, dbus. D+*D¥: DY:DUD D-D2DuNN DYDY NEN,D¥: DuN%.Du D¢ D¥NeN,NED°D D°D»D¥4. D+D°D2DUNEDY:D YD D¢ NED, D DN, NeNe
D¢, ND°NNE "B¥DY:D»D°D%PUNE"  D'P»Ne D DUNEDUNfNN,D°DY:D¥%:D2D°D,  D2N«bpuN... NfN«N,D°DY:D¥:D2D»PubysDY:NN...
D¢ D°D°PuN,P¥D2 D2 Neb NeN,Dubviby, B° NeN,D¥ DuN %Dy B¢ NEDVNED2D° D2NEDUDYDUDYD, ...

DYP¥NDY:D¥N,NED N,Dy, DD°D°D DU D¢ D°DDuN,N¢ DND»D, DYD+DY:DY:D2D»PubYsN« B'D¥ N,D¥D3D¥: DYD¥DYVDuby:N,D°, DoD°pe

DN« DYD°N"D»D, D¢ D¥N,PuUNENZ P1D°NeN,NEDYDUDC. 8D NeN,NeN,NeNs ND¥D»NEDDY,  BY:D°NeN,NEDYDIDD,
NfNeN,D°D¥:D°D2D»D, D2D°PubYsD¥%DD¥: D¢ D°D°DuN,D°, B° BYDu D2N+DpN....
DiND¥%D»NE  NEDP°D'D,D°D°D»NEDY%DNe D%D°  D¢DuNEDRN®!  D2D-DP»NeD” DYUDUNED®  DxNd»D°  P2ND-D2D°DYAD°
DYDY BY:DYiD-DYD N1DY:D¥:Dt NebD N,NfD°NTD, Bubt. B-N,0¥% D¥%Du NfD Bub» FEATURES Ne D¥%D D¥%D¥:D! NeN,D¥%:NEDYDYsN¢, Ne
D'NENfD3D%DT NeND¥%: D¥bp NfD'Bub» USE, N.D°. D¥%D°NeN,NED¥DCD, D+bub- D-b°D2D NebD DYiD¥%NND, B° systemd
D' D¥%:D+D°D2D»NeNZN,NeNe  D°DYs  D2NeDub¥% D¢ D°P°PuN,D°DYs  Neb°PViD DD, NeD°D-NeED°D+D¥%NNiD DoP°PY:D,.  DeP°
D¢ PUNEPUPYPUDYDYNFNZ NfN,D,D»D N, Np°p° BIbu DYDuN, NeDViNcNeD»D° D2DUN"D°N,NE NeN,Nf D¥:D+ND-D°DY:DY:D¥N-N,NE,

N,.D°. b%N,D,NTD, D°D»NEDY:DYD! B D¥:D D DUNEDTDD, systemd D2 DD°D»NED°PU BY%BUN,.

12/16/2015 09:22 pm - DiPUNEDDUD? Debub DN, DYsD?

Alexander Tratsevskiy wrote:

>> 2. 1SO B¥%D+NEDD- D¢ NED, D¢ D¥D D3D¥N,p¥D2D°Pu NoN,D, N,D°DD»N< N, D¥DIBu BY:bu B-b°N,NED°DD D2D°PuN,?

>

> DYD°P°DuN N« B2 D¢ D¥D D3D¥N,D°D2D»D D2D°DUbYuNN. .. D¥:D+NED°D-D°N... NoN,D°D2N+N,NeNe N,D°D°D DYs DIDU DY:D+NED D -DY4DYs,
D°D°P° B, B2 BID,D2D¥D! Neb NN, Dub¥sbu. Dip¥%:bD¥:N,D2DuN,NeN,D2DUb%:DY:D¥: D2 DeD¥:DY:DuNtDY:D¥DYs 1ISO B N... B%DuN,.

>

> DYD¥%DYiD DYDY vk, DY:D¥%D2DYNNNE DiND»D° D¥%D:NfDb»D DoD¥:D2D°Pb° B2 DNENFD:D¢D°N... facebook D, google+.
Db, NeN,pD°  BeNePYD D-D2D¥D D NNeNe  NDYLUD»NEDDY: D2 DYUDD%DYD2D»NDUDYNK... D D°PPuNP°N....  Bj
NfNeD»D¥%D2D DubYs D¢ NEDYD2DUNED®D,  NeD¥%D3D»D°Nebub¥, D¢ NED°D2D D»NEDY:DUDT D¢ NEDYD2DUNENN.NE  B¥%D°
DYD°D»D N1D B NfNeN,D DD ¥:D2D»DubY:D YD ¥4D3D¥4 systemd.

>

> DYD¥%N-DYD¥N,NED, N, Dy, D°D°DD B B¢ D°DoDUN,N¢ D2RD»D | B¥D+DY2D¥%D2D»Dub¥:aN¢« B D¥: N D¥4D3D¥: DY4D¥Y:DY:DubYaN D°, Dop°p°
DN« DYD°N"D»D, D¢ b¥%N DuNENZ DY2D°NeN,NEDYDUDO. D8P NeN,NeN,NeNe ND¥D»NEDDY:  BY:D°NeN,NEDYDDOD,
NfNeN,DDY%D°D2D»D D2D°DUbY4D¥4D3D¥%: D¢, D°PDUN,D°, D° DY:Du D2N+DuN....

>

bb° P¥%N,D.NtD D°D»NEDYDYDY: NeD°DINDPu  DY:D¥%D2D¥%NND, DY%PuN, D° D2 Nb¥%NtD D°P»D¥%NtbeD°N... DBuN-N,NE,
DYD¥NEDYD °D»NEDY-D 4!

De.bu. D-D°PNENDIPUDY:DY:NG! ISO D-D°D2PuD B¥DViD¥Y: D¢ D¥%NID N%DubY: D¥%N, "PYBUNfD3B¥D D%NK..." N,D°DiD»D¥.D?,
NfN-D»D%D2D By D2N¢ D¢ P¥DNEDD2D P»D, PP B¢ NePDDUNEDNf DY:D°D»D NiD Ne NfNeN,D°DY:D¥:D2D»DuUbYsDYDY4D3DYs
systemd, B¥%D¥% D¢ NED, Dub3D¥ NfNeND°D%:D¥D2DPu D¢ D°DDuN,N¢ B2Nebu N,D°Do-DTIbu BNfBD'NfN, N, NeN,D,N,NeNe, B2 N D¥:DVs
NiD,NeD»Du B, NeD°DYs DBP°PPuN, *systemd*, D 'BDub»D°Ne Dubp¥% Dvbu  NED°D+DYNDYND, D¥NDYD+DYNDY. D™
D¥:DxNSNeD2D»NsNZ USE="systemd" D, D¢NED, NEPUD+D D»D Dy DY, NED°, D° NeN,D¥ D¥D°P¥D»D¥: 80 D¢D°D°PuN P¥D? B2 CLS,
DeNEDPYD PYD»DTD°NZ  D»D¥%bYDN,NE  Neb NeNDupvNf. BDDu NNfN, NEBUNBUbY:D Pu D¢ NEDYD+D»DUDYNG  D'BUb-
D¢ D¥:DN DYUNEDYDYD! D¢ DUNEDUNfNeN,DDY%DYD2DD, D2NDub3D¥: Db DYD+DYDIND NNE... DEDYD»NEDDY: DuNeD»D,
NeD°DY:D¥%DYANf BY:Du D¢ D¥D D3D¥N,D°D2D»D D2D°N,NE 1SO DN FDIDY:NGDY, DY:D+NEDD -DY4DYa,

> > DeDuN+NDY:N« DYDY:DU DYD¥N,D, D2N¢« B'D NeN,NED DNfN,D,D2D°, D2D2D¥:D” D¥D2DUNED»DUDUD? D D°DuN, DY:D3NEDYDYLDY:N DU
D2D¥:D -DYDYDIDY:DY:NN,D, D¢ DY D°D°NeN,D¥%:DY:D B-D°NTtD.D,, B, DDYBDUN+N,Du Ne N,DUbYs B¢ D°D»DD, B2 DPDYD»DUND° D D»Ne
systemd D2NN,D°D2D»NeDuN,Dp... :(

>

> D-ND¥% D%Bbu D¢D°D»DD°, D° D¥%D:N,D BY:D, D-D°NtD,Ne. DYNED NiD DY%N¢ B¥D¢ D NeD°D¥%N«. DYD¥D»NED-DYD2D°N,DUD»D,
D BYbub»D, D2D¥D -DV:D¥YDTDY2D¥N+N,NE D2NNepep°D-D°N,NEN.Ns DY:D° NeN %N, NeNiN'N,.

>

"D¥%D¢N,D,BYiD D-D°NTD,Ne" B, "D NeD N1 DYN<"

P.S. Dby DBp¥%DNfDYDDINPy  Nibpupbys, Ne D2°N° D¢ b¥%D»NED-D%D2D°NDUb»NE NfDfbp DBP%D'D° 4, D,
D+D»D°D3P¥D D°NEPUDY: B-D° B2D°N” N,NENFD’, DYDY NeDubp¥D DYNe D2D;DUNED2NPN NfND¥DYiDYsD D»NeNe D2 NeD2D¥:DUDYs
D2ND+D¥NED.

12/17/2015 04:12 am - Alexander Pilipenko

pP°, B¥% NP°PDN... "P¥UDND DYD D-DNDNeN..." N..P%NEPYUNDY DN  DeNePUD NfB NEPUDID P°NNE B%b°
D¥NDYDYD2DY:DYDYs NeD°DIN, DY, NeDuD3p¥bD B¥%:Ne BY%D° NED°D+DYN,DuU D¢ DYD»D¥:D2D DY:Nf D'DY%:Ne Dy D¥%N,NED°N,D D» DYD°
D¢ DUNEDUNfNeN,D°DY:D¥:D2DONf Neb NeNDubVaNc D¢ D¥%uNeD»Pu D¥NIDUNEDUD DY:DY:DDY: D¥D+DYDYD2D»Dub%:D Ne, B DYDYLD°
N,D¥:DT1Du D2N+bu NeD»D¥DYsD°D»D¥NNCE, D¢ NN,D°NZN-NE D¢ PUNEPUNfN-N,D°DY2D%:D2D N,NE D¢D°DoPuN, N«
DYD+DYD¥D2D»DubY:DYaNdu D-D° N,Dub°N fN%.D, D! DY:DuNeNeNt, BYD¥DIDUN, D¢ D¥DYV4DY:DTDUN,...
12/17/2015 02:21 pm - Alexander Tratsevskiy

>NfNeD»D¥%D2D by D¢ D¢ D¥D:NEDD2D D»D, D%D° D¢ NEPXD2DUNEDNf DY%D°D»D Nib Ne NfNeN D DY%:DYD2D»DubDY:DY2DYsD3DYs
systemd, B¥%:D¥% D¢ NED, DuD3d¥% NfNeND°D%:D¥D2DPu D¢ D°DoPuN,N¢ B2Nebu N,p°Do-DIbp BNfB NfN, NiD,NeN,D,N,NeNe, B2 N D¥:DVs
NtD,NeD»Du b, NeD°DVs B¢, D°D°PuN, systemd, D" Dub»D°Ns BDub2p¥: YDy NED°D+D¥iN,D¥ND ¢ D¥ND¥D+DYsNDYa,

PEND»D¥D2D P DYN,NEDD+D°N,ND2D°PuN, D¢ D¥%NeD»Du NfNeN D D%DYD2DD, D¢ D°D°PuND°, N,.bp. systemd D° NeN.DY:DVNf
D2RNEPUDYDUDY:D, DN D BN, NeN,D¥N-N,NE.

>p'P°, D%  NP°PDN.. "P¥%Ub:ND BYD DP°NtD NeN..." N..D%uNED%NDY: DN  DeNeEPUD NfD,NEPUDID P°NNE  PYD°
D¥NDY:D¥D2DY:DYDYs NeD°DIN, DU

DebuN... DYNEDYN DY D¢ DYD»NfN1D, D»DYNNE, NeD¥D3D»D°NeDubYs. B Db D°D¥: N,D°DD Dy D3D»D¥D+D°D»NEDY:NDU D2DUN%D,
D¢ NEPYN...DYD NN,

12/17/2015 02:34 pm - DiPuNEDDPD?! Debub DN, DYsD?

Alexander Tratsevskiy wrote:

> >NfNeD»D¥%:D2D Dy D2N¢ D¢ D¥%D¢NEDD2D D»D, D%D° D¢ NEPYD2DUNEDNf DY:D°D»D NiD,Ne NfNeN,D°DYDYD2D»DUDY:DY-DYADDYs
systemd, B¥%:D¥ D¢ NED, DuD3D¥ NfNeNDD%:D¥D2DPu D¢ D°DPuN,N¢ B2Nebu N,p°Do-bTIbp BNfB NfN, ND,NeN,D,N,NeNe, D2 N D¥:DVs
NtD NeD»Du B, NeD°DYs D¢ D°D°DN, systemd, B Dub»D°Ne Dup3D¥: DY%Du NED DDY:N,DViNeD ¢ D¥:ND¥:D£DYsNDYi,

>

> DEND»D¥D2D b B¥%N,NED°D+D°N,ND2D°DuN, D¢ D¥%ND»Pu NfReN D°DY:DY:D2D°D, D¢ D°P°DuND°, N,.Bu. systemd D° NeNDYDYINF
D2NEPPDYDPDY:D, DN D BN, NeN,D¥NN NE.

>

DPP-PDU? B Deb¥%NIPub¥%Nf-ND¥ NeDPub»D°D» B2ND2D%D’, NiNDP¥% D¥%D%DY: D¥N,NED°P+D°NN®2D°PuN, B3D Bu-ND¥
pv.pubID Nf NeN,D°D'D bt install B, gmerge.

DsNeN,D°N,D,, Nebupp¥%D P%Ne D¥%D+DY%:D¥%D2D D» Neb2D%NZ NEP°P+P%UNINFNZ  DoD°P»NED°Nf, B, Db D°P°p°PN...
D.D-DYDubYbub¥:b bt B2 NeD°NED, D¢ N,Du BY:bu NfD2D, D" Dub». NfNeD»D¥:D2D b D2N+bu N,D¥: DIDp. B°P¥%:DD D° B2Ndp°N,D N,?

Deb° D-D°DYDUN,PoNf, NeD Dub»D°D2 N,DuNsN, B¥%:D° YN, NTD¥:D2NN,D2D%: N,D°DD»D¥:D2 B2 Just/lib/systemd/* DY:D° NED°D+D¥N1bub!

pv:D°N"D, B¥:by, D, NeNED°D2DY:D D2 B.N... Ne NfNeN,D°DY%DYD2D»DUDY:DYANBYAD D¢D°D°PuN,D°BYiD, Py
D¢ P¥N-N,NEPD D°P2N"Dub?, D¢ D¥:D»NfNED, D» D2D¥:D -DVD¥DTDYN P! Neb¢ D, NeD¥4D° D¢ b¥N-N,NeDD D°D2N"D N...
D¢ PPN, DY:D2;

<pre>

dev-db/mysql-init-scripts
dev-vcs/git
net-firewall/iptables
net-fs/nfs-utils
net-misc/dhcp
net-misc/openssh
net-misc/rsync
net-nds/openldap
net-nds/rpcbind
net-print/cups-filters
net-wireless/wpa_supplicant
sys-auth/polkit
sys-fs/lvm2
sys-fs/mdadm
sys-libs/glibc
sys-libs/gpm

</pre>

12/17/2015 02:44 pm - Alexander Tratsevskiy
> DP°D-DPU? D DeDYUNIDUDYNS-N,DY NeD Dub»D°D» DND20¥%D", NiN,D¥% D¥DY:D¥ D¥%NNED°D+D°N,NE2D°DuN, D30 Du-ND¥%
pv:pubTD Nf NeN,D°D'D bt install B, gmerge.

pre_pkg_postinst() B2ND ¢ DY:D»D¥:NDuN,NeNe, D°D¥:D3D D° B¢ D°PDuN, NfDIDu B2 Neb NeN,Dub¥:Du

> P3NND°ND,, RNebubp¥%D P%Ne D¥%D+DY:D¥%D2D D» NeD2D%NZ RNeP°D+b%NINfNZ  DoD°P»NEP°Nf, D, D%D DP°P°PD N...
D.D-BYBub%bUDY:D Dt D2 NeD°NED D¢ N,Du D¥%bu NfD2D D Dub».

D+b°N+N,NED¥DDD, DY:D+DY2D¥:D2D»NeNZN,NeNe NEPUD?D D-D Dub* 86:

Ivarl/lib/layman/calculate/profiles/templates/3.3/6_ac_update_sync/remerge/86

>NfN+D»D¥:D2D Dy B2Nbu N, D% DIDU. B°D¥:D3D D° D2NDP°N,D,N,?

DYP¥D ¢ NEP¥D+NFDIN,Du D2ND ¢ DYD»DY:D N,NE dispatch-conf

D¢ NEDYD2DUNEDOD° D2 40-D1 NN, ,NEDY4D°DP /etc/calculate/profile.bashre.d/50-setup-package

12/17/2015 02:45 pm - Alexander Tratsevskiy

>DeD° D-D°DYBDUN,DNf, NeD Dub»D°D2 N,DuNeN, B¥:D° B¥N,N1D¥:D2NN,D2D% N,D°D1D»D¥:D2 D2 Jusr/lib/systemd/* B¥:D° NED D£DYNTDUD!
pv:D°N"D B¥%:by, D, NeNED°D2DYD D2 BN... Ne NfNeN D DYD¥D2D»DUbY2DYAND YD | D¢ D°D°PuN,D°BYJD, PY:D°
D¢ D¥NN,NED°D D°D2N"DUDL, D¢ D¥D»NfN1D D» D2D¥:D-DYD¥DTDY:ND? NeD ¢ D NeD¥:D° B, D¥%:N+N,NED°D D°D2N"D N... D¢ D°D°PuN,D¥:D?

DYNED, DIBUP»D°PY:D D, B¥bu NeD¥%NeND°D2D N, D+D¥D»NEN DD NNENFD D B2NN,D°N%D,N,NE D¥:D°N-N,NEDYDIDD, D b-
D-DUNEDD°D»D° grp.

12/17/2015 02:58 pm - DiPUNEDDUD? Debud DN, DY4D?

Alexander Tratsevskiy wrote:

> DeD°NeN,NEDYDIDD, DY:D+DY:D¥:D2D»NeNZN,NeNe NEDUD2D D-D, Dub* 86:

> /var/lib/layman/calculate/profiles/templates/3.3/6_ac_update_sync/remerge/86

>

NeD Bub»D°D»  eix-sync, D¥%D¥%  D¢D%UND»DuD DY:NeNe  NeBup2D D-D.Ne 83, D2 NDuNNp¥%bD¥bYs  DxNED°DYNIDU
D-D°N,DuUNEND»DY:NNE?

12/17/2015 03:33 pm - Alexander Tratsevskiy

DibuNEDPPD! Duabub D¥%N, DY:D? wrote:

> Alexander Tratsevskiy wrote:

> > Dep°NeN,NEDYDDD, D¥D+DY2D¥D2D»NeNZN,NeNe NEDUD?D, D -D Dbt 86:

> > /var/lib/layman/calculate/profiles/templates/3.3/6_ac_update_sync/remerge/86

> >

> NeD'Dub»D°D» eix-sync, DB¥%D¥: D¢P¥%uN-D»Dub D¥%NeNe NePBub2D D-DNe 83, B2 NPuNNDP¥%bDD¥DY: D+NED°DYNTDU
B-D°N,DUNEND»DV:NNE?

DYP¥NPupY:Nf B2 N,DuN«N,D¥:D2D¥:Dv4? B'N< DIPu DY:D¥%DIDuN, By B¢ NED¥:D2DuNED N,NE:
http://git.calculate.ru/?p=calculate/overlay.git;a=tree
DiNED°P2Dv:D N,NE Nf Nebub+Ne N,D% NN D% B2 N"D°D+D»D¥%bDY%DN... remerge D, B2 /etc/calculate/ini.env

DeNeD»D, Nf D2D°Ne NeN,D°NEP°Ne D2DuUNEND.Ne, NDP¥% D-DY%P°NID,N, RNbwD%NNED NPy B2 NeN,D¥%NEDYDYNF
Db DY:D°NEDY:DYD3DYs NEDUD  D¥D-D,N,D¥NED, Ne.

12/18/2015 01:07 pm - Alexander Pilipenko

D-D°DNENFD-D D»NeNe Ne N,D»DUNDD,, NeD Dub»D°D» chroot B2 D¥ND¥:D¥Y:D2DY%NFNZ Neb NeN,DubvaNf, B¢D¥%NDYDY. cl-update -s,
D¢ D%ND»Du NeN,D¥:DD%: D DUNEDUNFNN,D°DYD¥:D2D D» D2N+bu D¢ D°DDuN,N¢ DYD+DY:D¥:D2D»DUbY:DY:Ndp D2 B Dub°D°D+NEDN
D, D2N+bu D-D°NED°D+DYN,D°D»D¥s.
DY:D NiDuD3D ¥ D+D¥D»NEN"Bu DY:Du NeD»D¥iDY4D D»DYaNeNE?

12/18/2015 07:24 pm - Alexander Tratsevskiy

Alexander Pilipenko wrote:

> D-D°DNENFD-D,D»NeNs Ne N,D»DuN"D°D,, NeD Dub»D°D» chroot B2 D¥%N-DY:D¥:D2DY:NfNZ NeD NeN,DubvaNf, D¢ DYN,DYDYs cl-update -s,
D¢ D%ND»DU NeN,D¥%:D3D¥%: D¢ DUNEDUNfN+N,D°DY2D¥:D2D D» D2N+bu D¢ D°D°PuN,K¢ D¥D+DY:D¥Y:D2D»PUbY:DY:NDU D2 D Dub°D°D+NEDU
D, D2N+bu D-D°NED°D+DYN,D°D»D¥a.

>

> Ne D°P°PP¥D! D'D°N,N¢ NED°D+D¥%N,D°D» NeDoNED DN, DD D¥%ND NeNPoNf NiND¥ DN« NfD+Dub D, N,NENNe NiN,Dvs
DY, NtDuD3D ¥ D+D¥D»NENBU DY:DU NeD»DYiDY4D D»DYaNNE?

26-27 DY:D¥aN+D+NENs.

12/18/2015 07:24 pm - Alexander Tratsevskiy

- Status changed from Feedback to Closed
